RTLINUX=/usr/src/rtlinux-3.1
EXTRA_CFLAGS += -g -I${RTLINUX}/include -I${RTLINUX}/include/posix

ifneq ($(KERNELRELEASE),)

obj-m := frank_module.o

else 

KDIR := /usr/src/linux
PWD:= $(shell pwd)

default: 
	$(MAKE) V=1 -C $(KDIR) SUBDIRS=$(PWD) modules

clean:
	rm -rf *.ko *.o 

endif
